Create a smart field
curl --request POST \
--url https://api.scribe-mail.com/v1/smart_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smart_field": {
"label": "<string>",
"required": true,
"integration_id": "<string>",
"integration_attribute": "<string>"
}
}
'import requests
url = "https://api.scribe-mail.com/v1/smart_fields"
payload = { "smart_field": {
"label": "<string>",
"required": True,
"integration_id": "<string>",
"integration_attribute": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smart_field: {
label: '<string>',
required: true,
integration_id: '<string>',
integration_attribute: '<string>'
}
})
};
fetch('https://api.scribe-mail.com/v1/smart_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"label": "<string>",
"slug": "<string>",
"required": true,
"default": true,
"position": 123,
"integration_id": "<string>",
"integration_attribute": "<string>",
"used_in_signatures": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}Smart fields
Create a smart field
POST
/
v1
/
smart_fields
Create a smart field
Was this page helpful?
⌘I